Token payroll

Get Tokens In Payroll

Lists the tokens used in a payroll with network, chain and Safe contract details.

GEThttps://api.toku.com/tga/get-tokens-in-payroll

Required scope: payroll:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-tokens-in-payroll?tokenPayrollID=%3CtokenPayrollID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "tokens": [
    {
      "tokenID": "string",
      "address": "string",
      "decimalPlaces": 0,
      "coinMarketCapID": "string",
      "name": "string",
      "symbol": "string",
      "logoURI": "string",
      "network": {
        "networkID": "string",
        "networkName": "string",
        "networkLogoURI": "string",
        "meshConnectNetworkID": "string",
        "chainType": "string",
        "evmDetails": {
          "chainID": 0,
          "multiSendCallOnlyAddress": "string",
          "safeSingletonAddress": "string",
          "safeFactoryAddress": "string",
          "safeAppBaseUrl": "string",
          "eipsName": "string",
          "blockExplorerBaseUrl": "string",
          "rpcURL": "string"
        },
        "rpcURL": "string"
      }
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

tokenPayrollIDstringrequired

Allowed: 1 to 200 characters

Response

200Successful response
tokensobject[]required
Show child attributes
tokenIDstringrequired
addressstringrequired
decimalPlacesintegerrequired
coinMarketCapIDstringrequired
namestringrequired
symbolstringrequired
logoURIstringrequired
networkobjectrequired
Show child attributes
networkIDstringrequired
networkNamestringrequired
networkLogoURIstringrequired
meshConnectNetworkIDstring
chainTypestringrequired
evmDetailsobject
Show child attributes
chainIDintegerrequired
multiSendCallOnlyAddressstringrequired
safeSingletonAddressstringrequired
safeFactoryAddressstringrequired
safeAppBaseUrlstring
eipsNamestring
blockExplorerBaseUrlstring
rpcURLstring
rpcURLstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits